EGD_GET_NUMCH(3)

NAME
egd_get_numch - Get the number of channels sampled by type

SYNOPSIS

#include <eegdev.h>

int egd_get_numch(const struct eegdev* dev, int stype);

DESCRIPTION

egd_get_numch() returns the number of channels of type stype sampled by the recording device referenced by dev. stype must be one of the values returned by egd_sensor_type(3).

RETURN VALUE

In case of success, the function returns a non negative value corresponding to the number of channels of type stype (possibly 0 if the device does not sample this type of data). Otherwise, -1 is returned and errno is set accordingly.

ERRORS

egd_get_numch() will fail if:

EINVAL
    dev is NULL or stype is not valid value.

SEE ALSO
egd_get_cap(3), egd_sensor_type(3)